summaryrefslogtreecommitdiff
path: root/source3
diff options
context:
space:
mode:
Diffstat (limited to 'source3')
-rw-r--r--source3/Makefile.in7
-rwxr-xr-xsource3/autogen.sh6
2 files changed, 12 insertions, 1 deletions
diff --git a/source3/Makefile.in b/source3/Makefile.in
index 5fa3018c69..77af73f5b8 100644
--- a/source3/Makefile.in
+++ b/source3/Makefile.in
@@ -626,7 +626,12 @@ NTLM_AUTH_OBJ = utils/ntlm_auth.o $(LIBNTLMSSP_OBJ) $(LIBSAMBA_OBJ) $(POPT_LIB_O
######################################################################
# now the rules...
######################################################################
-all : SHOWFLAGS proto_exists $(SBIN_PROGS) $(BIN_PROGS) $(SHLIBS) \
+all:
+ @echo The Samba HEAD branch is deprecated pending the release of Samba 3.0
+ @echo Please use the SAMBA_3_0 branch
+ @exit 1
+
+all_real : SHOWFLAGS proto_exists $(SBIN_PROGS) $(BIN_PROGS) $(SHLIBS) \
$(MODULES) @EXTRA_ALL_TARGETS@
pam_smbpass : SHOWFLAGS bin/pam_smbpass.@SHLIBEXT@
diff --git a/source3/autogen.sh b/source3/autogen.sh
index 2d91173f4a..056c0e6133 100755
--- a/source3/autogen.sh
+++ b/source3/autogen.sh
@@ -1,5 +1,11 @@
#!/bin/sh
+echo The Samba HEAD branch is deprecated pending the release of Samba 3.0
+echo Please use the SAMBA_3_0 branch
+echo to update to SAMBA_3_0 use this command:
+echo " cvs -z3 update -r SAMBA_3_0 -dP"
+exit 1
+
# Run this script to build samba from CVS.
## insert all possible names (only works with